<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Database..::.Salvage Method (String, DatabaseConfig, TextWriter)
Database Class See Also Send Feedback

Write the key/data pairs from all databases in the file to OutputStream. Key values are written for Btree, Hash and Queue databases, but not for Recno databases.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public static void Salvage(
    	string file,
    	DatabaseConfig cfg,
    	TextWriter OutputStream
    )

Visual Basic (Declaration)

    Public Shared Sub Salvage ( _
    	file As String, _
    	cfg As DatabaseConfig, _
    	OutputStream As TextWriter _
    )

Visual C++

    public:
    static void Salvage(
    	String^ file,
    	DatabaseConfig^ cfg,
    	TextWriter^ OutputStream
    )

#### Parameters

file
  Type: System..::.String
  The physical file in which the databases to be salvaged are found.

cfg
  Type: BerkeleyDB..::.DatabaseConfig
  Configuration parameters for the databases to be salvaged.

OutputStream
  Type: System.IO..::.TextWriter
  The TextWriter to which the databases' key/data pairs are written. If null, Out will be used.

# See Also

Database Class
Salvage Overload
BerkeleyDB Namespace